%define name galago-sharp
%define version 0.5.0
%define release %mkrel 5
%define galagover 0.5.2

%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif
%define monodir %_prefix/lib/mono
Summary: Galago Mono bindings
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://galago-project.org/files/releases/source/galago-sharp/%{name}-%{version}.tar.bz2
Source1: galago-sharp-0.5.0-dll.config
Source2: libgalago-%galagover.tar.bz2
Patch: galago-sharp-0.5.0-nunit.patch
License: LGPL
Group: Development/Other
Url: http://www.galago-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgalago-devel >= 0.5.0
BuildRequires: mono-devel
#gw only needed for the tests
BuildRequires: dbus-sharp
BuildRequires: gtk-sharp2
BuildRequires: libxslt-proc
BuildRequires: automake1.8
BuildArch: noarch
Requires: galago3 >= %galagover

%description
This are the Mono/.NET bindings for the Galago desktop presence framework.

%prep
%setup -q -a 2
cp %SOURCE1  galago-sharp.dll.config
%patch -p1
aclocal-1.8
autoconf
autoheader
automake-1.8
mv libgalago-%galagover sources/libgalago

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib
make

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std pcdatadir=%pkgconfigdir
cp galago-sharp.dll.config %buildroot%monodir/gac/%name/*/
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS NEWS
%monodir/%name
%monodir/gac/%name
%pkgconfigdir/%name.pc
%_datadir/gapi-2.0/galago-api.xml


%changelog
* Thu Mar 29 2007 Götz Waschk <waschk@mandriva.org> 0.5.0-5mdv2007.1
+ Revision: 149805
- fix dll map for loading libgalago

* Fri Jan 05 2007 Götz Waschk <waschk@mandriva.org> 0.5.0-4mdv2007.1
+ Revision: 104444
- fix build on x86_64
- Import galago-sharp



* Fri Jan  5 2007 Götz Waschk <waschk@mandriva.org> 0.5.0-4mdv2007.1
- new libgalago

* Mon Jul 17 2006 Götz Waschk <waschk@mandriva.org> 0.5.0-3mdv2007.0
- fix deps

* Mon Apr 24 2006 Götz Waschk <waschk@mandriva.org> 0.5.0-2mdk
- fix typo in dep

* Fri Apr 21 2006 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdk
- update file list
- fix build
- update source 1
- bump deps
- fix URLs
- new version

* Thu Jun 16 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-4mdk
- fix buildrequires

* Thu Jun 16 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-3mdk
- add dllmap
- fix buildrequires

* Thu Jun 16 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-2mdk
- fix buildrequires

* Thu Jun 16 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- initial package
